Update company
PATCH
/v1/crm/companies/{companyID}Authorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
companyIDstringrequiredRequest body
requiredapplication/jsoncustom_fieldsanydescriptionstringdomainstringindustrystringmetadataanynamestringsizestringwebsitestringResponses
200OK
created_atstringrequiredcustom_fieldsanyrequireddescriptionstring | nullrequireddomainstring | nullrequiredidstringrequiredindustrystring | nullrequiredmetadataanyrequirednamestringrequiredsizestring | nullrequiredupdated_atstringrequiredwebsitestring | nullrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PATCH "/v1/crm/companies/string" \
-H "Content-Type: application/json" \
-d '{
"custom_fields": "string",
"description": "string",
"domain": "string",
"industry": "string",
"metadata": "string",
"name": "string",
"size": "string",
"website": "string"
}'const response = await fetch("/v1/crm/companies/string", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"custom_fields": "string",
"description": "string",
"domain": "string",
"industry": "string",
"metadata": "string",
"name": "string",
"size": "string",
"website": "string"
})
});import requests
response = requests.patch(
"/v1/crm/companies/string",
headers={
"Content-Type": "application/json"
},
json={
"custom_fields": "string",
"description": "string",
"domain": "string",
"industry": "string",
"metadata": "string",
"name": "string",
"size": "string",
"website": "string"
},
)Response
{
"created_at": "string",
"custom_fields": "string",
"description": "string",
"domain": "string",
"id": "string",
"industry": "string",
"metadata": "string",
"name": "string",
"size": "string",
"updated_at": "string",
"website": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}